about summary refs log tree commit diff stats
path: root/hm/soispha/conf/lf/commands/scripts/stripspace.sh
diff options
context:
space:
mode:
authorSoispha <soispha@vhack.eu>2024-02-20 17:21:42 +0100
committerSoispha <soispha@vhack.eu>2024-02-20 17:21:42 +0100
commitf2bdeaed0bcf97a880fe36cfc8a050d1643120b8 (patch)
treeba4fe9c3ddf076529701c0e776ffef2104ac23d5 /hm/soispha/conf/lf/commands/scripts/stripspace.sh
parentrefactor(treewide): Add a `.sh` extension to shell scripts (diff)
downloadnixos-config-f2bdeaed0bcf97a880fe36cfc8a050d1643120b8.tar.gz
nixos-config-f2bdeaed0bcf97a880fe36cfc8a050d1643120b8.zip
refactor(treewide): Reformat all files with treefmt
This includes getting all shellscripts to pass shellcheck. To accomplish
this, some old scripts were removed
Diffstat (limited to '')
-rwxr-xr-xhm/soispha/conf/lf/commands/scripts/stripspace.sh27
1 files changed, 18 insertions, 9 deletions
diff --git a/hm/soispha/conf/lf/commands/scripts/stripspace.sh b/hm/soispha/conf/lf/commands/scripts/stripspace.sh
index c8781a60..65eefbcd 100755
--- a/hm/soispha/conf/lf/commands/scripts/stripspace.sh
+++ b/hm/soispha/conf/lf/commands/scripts/stripspace.sh
@@ -3,11 +3,20 @@
 # shellcheck source=/dev/null
 SHELL_LIBRARY_VERSION="2.0.13" . %SHELL_LIBRARY_PATH
 
-files=$(mktmp);
-echo "$fx" > "$files";
+# shellcheck disable=SC2269
+f="$f"
+# shellcheck disable=SC2269
+fx="$fx"
+# shellcheck disable=SC2269
+fs="$fs"
+# shellcheck disable=SC2269
+id="$id"
 
-awk_source=$(mktmp);
-cat << OFT > "$awk_source"
+files=$(mktmp)
+echo "$fx" >"$files"
+
+awk_source=$(mktmp)
+cat <<OFT >"$awk_source"
 BEGIN {FS=" "}
 {for (i=1; i != NF + 1; i++)
     if (i == NF) {
@@ -21,11 +30,11 @@ OFT
 
 while read -r file; do
     dirty_name=$(mktmp)
-    basename "$file" > "$dirty_name";
-    clean_name=$(awk -f "$awk_source" "$dirty_name");
+    basename "$file" >"$dirty_name"
+    clean_name=$(awk -f "$awk_source" "$dirty_name")
 
-    [ -e "$clean_name" ] && die "file \"$clean_name\" already exists!";
-    mv "$(cat "$dirty_name")" "$clean_name" || die "Move failed";
+    [ -e "$clean_name" ] && die "file \"$clean_name\" already exists!"
+    mv "$(cat "$dirty_name")" "$clean_name" || die "Move failed"
     lf -remote 'send reload'
-done < "$files";
+done <"$files"
 # vim: ft=sh